commit: a19bf525e663cf816483cab0643652d221b8db24
Author: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 9 13:17:44 2016 +0000
Commit: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Fri Sep 9 13:17:44 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a19bf525
dev-python/sphinxcontrib-cheeseshop: rev-bump for EAPI 6 bump and py-3.5 support
Package-Manager: portage-2.3.0
.../sphinxcontrib-cheeseshop-0.2-r1.ebuild | 28 ++++++++++++++++++++++
1 file changed, 28 insertions(+)
diff --git
a/dev-python/sphinxcontrib-cheeseshop/sphinxcontrib-cheeseshop-0.2-r1.ebuild
b/dev-python/sphinxcontrib-cheeseshop/sphinxcontrib-cheeseshop-0.2-r1.ebuild
new file mode 100644
index 00000000..3bf8d14
--- /dev/null
+++ b/dev-python/sphinxcontrib-cheeseshop/sphinxcontrib-cheeseshop-0.2-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy)
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension cheeseshop"
+HOMEPAGE="https://bitbucket.org/birkenfeld/sphinx-contrib"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=dev-python/sphinx-1.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed \
+ -e '5s/file/open/' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}